org.jboss.classfilewriter.constpool

## Class ConstPool

- java.lang.Object
- - org.jboss.classfilewriter.constpool.ConstPool

All Implemented Interfaces:
  WritableEntry

    public class ConstPool
    extends Object
    implements WritableEntry

### Constructor Summary

Constructors
Constructor and Description
`ConstPool()`

### Method Summary

Methods
`short` `addClassEntry(String className)` Adds a CONSTANT_Class_info to the const pool.
`short` `addDoubleEntry(double entry)`
`short` `addFieldEntry(String className, String fieldName, String fieldType)`
`short` `addFloatEntry(float entry)`
`short` `addIntegerEntry(int entry)`
`short` `addInterfaceMethodEntry(String className, String methodName, String descriptor)`
`short` `addLongEntry(long entry)`
`short` `addMethodEntry(String className, String methodName, String descriptor)`
`short` `addNameAndTypeEntry(String name, String type)`
`short` `addStringEntry(String string)` Adds a CONSTANT_String_info to the const pool.
`short` `addUtf8Entry(String entry)`
`void` `write(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstPool

    public ConstPool()

### Method Detail

#### addUtf8Entry

    public short addUtf8Entry(String entry)

#### addClassEntry

    public short addClassEntry(String className)

Adds a CONSTANT_Class_info to the const pool. This must be in internal form

#### addStringEntry

    public short addStringEntry(String string)

Adds a CONSTANT_String_info to the const pool.

#### addIntegerEntry

    public short addIntegerEntry(int entry)

#### addFloatEntry

    public short addFloatEntry(float entry)

#### addLongEntry

    public short addLongEntry(long entry)

#### addDoubleEntry

    public short addDoubleEntry(double entry)

#### addNameAndTypeEntry

    public short addNameAndTypeEntry(String name,
                            String type)

#### addFieldEntry

    public short addFieldEntry(String className,
                      String fieldName,
                      String fieldType)

#### addMethodEntry

    public short addMethodEntry(String className,
                       String methodName,
                       String descriptor)

#### addInterfaceMethodEntry

    public short addInterfaceMethodEntry(String className,
                                String methodName,
                                String descriptor)

#### write

    public void write(ByteArrayDataOutputStream stream)
               throws IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `IOException`